@import '../../styles/variables.scss';

/**
 * Сетка блоков построенная на библиотеке Masonry
 */
.masonry {
  padding: 0;

  width: 100%;
  margin: 0 auto;

  &_item {
    padding: 10px 20px;
    width: 100%;
  }
}

@media (min-width: $breakpoint-2) {
  .masonry {
    padding: 0 10px;

    &_item {
      padding: 0;
      margin: 0.92592592%;
      width: 48.14811481%;
    }
  }
}

@media (min-width: $breakpoint-3) {
  .masonry {
    padding: 0 50px;

    &_item {
      padding: 0;
      margin: 0.694444%;
      width: 31.94444%;
    }
  }
}

/**
 * Обычная сетка построенная на grid
 */
.simple {
  @include reset-list;

  display: grid;
  grid-template-rows: 1fr;
  grid-template-columns: 1fr;
  grid-row-gap: 24px;
}

@media (min-width: $breakpoint-2) {
  .simple {
    grid-column-gap: 24px;
    grid-template-rows: unset;
    grid-template-columns: 1fr 1fr;
  }
}

@media (min-width: $breakpoint-3) {
  .simple {
    grid-column-gap: 24px;
    grid-template-rows: unset;
    grid-template-columns: 1fr 1fr 1fr;
  }
}